<?php
/**
* Generates default options for customizer.
*
* @since  Blogto 1.0.0
* @access public
* @param  array $options 
* @return array
*/
	
function blogto_default_options( $options ){

	$defaults = array(
		# Site identity
		'site_title'         	         => esc_html__( 'Blogto', 'blogto' ),
		'site_title_color'   	         => '#10242b',
		'site_tagline'       	         => esc_html__( 'Blogging should be fun', 'blogto' ),
		'site_tagline_color' 	         => '#4d4d4d',

		# Primary color
		'site_primary_color' 	         => '#67b930',

		# Slider
		'slider_control'     	         => true,
		'slider_timeout'     	         => 5,
		'slider_autoplay'    	         => false,
		'disable_slider'    	         => false,

		# Callback
		'callback_title'                 => esc_html__( 'Want to list your Best Product? Submit Now.', 'blogto' ),
		'callback_button_text'           => esc_html__( 'Get a Quote', 'blogto' ),
		'callback_button_url'            => esc_html__( '#', 'blogto' ),
		'disable_callback'               => false,

		# About
		'about_section_title'            => esc_html__( 'My Diary', 'blogto' ),
		'disable_about'                  => false,

		# Blog
		'blog_section_title'             => esc_html__( 'Do not miss out', 'blogto' ),
		'blog_number'                    => 3,
		'blog_category'                  => 1,
		'disable_blog'                   => false,

		# Theme options
		# Header
		'enable_alternate_header'        => true,
		'disable_search_icon'            => false,
		'disable_top_header'             => false,

		# Layout
		'archive_layout'			     => 'right',
		'archive_post_layout'            => 'grid',
		'archive_post_image'             => 'default',
		'archive_post_image_alignment'   => 'center',
		'single_layout'			         => 'compact',

		# Blog
		'archive_page_title'			 => 'Welcome to Blogto',

		# Footer
		'enable_scroll_top_in_mobile'    => false,
		'enable_instagram'               => false,
		'enable_follow_us_button'        => true,
		'insta_count'                    => 0,
		'disable_footer_widget'          => false,
		'footer_text'                    => blogto_get_footer_text(),
	);

	return array_merge( $options, $defaults );
}
add_filter( 'Blogto_Customizer_defaults', 'blogto_default_options' );

if( !function_exists( 'blogto_get_footer_text' ) ):
/**
* Generate Default footer text
*
* @return string
* @since Blogto 1.0.0
*/
function blogto_get_footer_text(){
	$text = esc_html__( 'Blogto Theme by', 'blogto' ).' <a href="'.esc_url( '//keonthemes.com' ).'" target="_blank">';
	$text .= esc_html__( 'Keon Themes', 'blogto' ).'</a>';
	$text .= esc_html__( ' Copyright &copy; All Rights Reserved.', 'blogto' );
							
	return $text;
}
endif;